﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace JamDoNetTool
{
    public partial class Settings : Form
    {
        public Settings()
        {
            InitializeComponent();
        }

        private void btnSettingsCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btnTargetDialog_Click(object sender, EventArgs e)
        {
            if (folderBrowserDialog1.ShowDialog() != System.Windows.Forms.DialogResult.Cancel)
            {
                tBoxTargetDialog.Text = folderBrowserDialog1.SelectedPath.ToString();
            }
        }

        private void Settings_Load(object sender, EventArgs e)
        {
            tBoxTargetDialog.Text = Properties.Settings.Default.TargetDirectory;
            cBoxDeleteSrc.Checked = Properties.Settings.Default.DeleteZipFiles;
            cBoxRename.Checked = Properties.Settings.Default.RenamePackages;
        }

        private void btnSettingsSave_Click(object sender, EventArgs e)
        {
            Properties.Settings.Default.TargetDirectory = tBoxTargetDialog.Text;
            Properties.Settings.Default.DeleteZipFiles = cBoxDeleteSrc.Checked;
            Properties.Settings.Default.RenamePackages = cBoxRename.Checked;
            Properties.Settings.Default.Save();
            this.Close();
        }
    }
}
